Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-04 Thread Michael Meeks
Hi Matthew,

On Thu, 2007-10-04 at 10:00 +0530, Srinivasa Ragavan wrote:
  And while we're at it, can we please drop the meaningless -1.2 suffix
  from the library names (e.g. libedataserver-1.2.so)?  As far as I can
  tell this is just an artifact from an age before the EDS sonames were
  properly versioned.

Cue, screaming ... please read:

http://lxr.go-oo.org/source/dba/connectivity/source/drivers/evoab2/EApi.cxx#046

and reconsider ;-) be aware that it takes weeks to months to get that
change up-stream, and months to get a new version of OO.o out, and all
the while OO.o will ~silently fail to work with people's new 'clean'
renamed library e-d-s :-)

AFAIR the name versioning was originally intended to ensure you could
compile  develop multiple versions of evo. on the same system.

 I don't think those application would be happy to do this. There are a
 few apps that use the .so directly without pkgconfig (iirc
 OpenOffice.org). 

Quite - we build our OO.o integration (which since it is up-stream has
to run on ~all existing systems - cf. the ISV problem ...), with
internal headers (to unwind the ABI breakage), and explicit dlopening 
hooking out of symbols etc.

 Unless there is a clear nod from the stake holders of those projects, I
 wouldn't be favor of doing this.

Thanks ! :-)

Of course, as long as the dlopens still work, I'm fine with renaming
the core library (to suit people's personal hygiene issues) as long as
we have a compat symlink in perpetuity ;-)

Thanks,

Michael.

-- 
 [EMAIL PROTECTED]  , Pseudo Engineer, itinerant idiot


___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-04 Thread Ross Burton
On Thu, 2007-10-04 at 10:05 +0530, Srinivasa Ragavan wrote:
 Even I would have loved this if we can get all the friends to be 2.22.
 Unfortunately GtkHTML can't be 2.22 as it is already 3.xx. I felt that
 synchronizing the minor versions is fine. I'm not really against it, if
 there aren't any major objections to this.

I'm fine with GtkHTML being switched to 3.22, but I think it should be
the only exception, EDS should jump to 2.22.  No point not syncing it
entirely when its possible.

Ross
-- 
Ross Burton mail: [EMAIL PROTECTED]
  jabber: [EMAIL PROTECTED]
 www: http://www.burtonini.com./
 PGP Fingerprint: 1A21 F5B0 D8D0 CFE3 81D4 E25A 2D09 E447 D0B4 33DF



signature.asc
Description: This is a digitally signed message part
___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-04 Thread Matthew Barnes
On Thu, 2007-10-04 at 09:57 +0100, Michael Meeks wrote:
   Cue, screaming ... please read:
 
 http://lxr.go-oo.org/source/dba/connectivity/source/drivers/evoab2/EApi.cxx#046
 
   and reconsider ;-) be aware that it takes weeks to months to get that
 change up-stream, and months to get a new version of OO.o out, and all
 the while OO.o will ~silently fail to work with people's new 'clean'
 renamed library e-d-s :-)

Oye, I wasn't aware of the pain involved.  Thanks Michael and Srini for
clarifying this.  At least now it's on record for the next time someone
has the same bright idea.  :)

Matthew Barnes

___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Ross Burton
On Wed, 2007-10-03 at 11:31 +, Srinivasa Ragavan wrote:
 There have been many requests regarding syncing the versions of
 Evolution (currently 2.12) and GNOME (2.20). I feel that it would be
 fine, if we just sync the minor versions. 
 
 Evolution 2.22 
 GtkHTML 3.22
 Evolution Data Server 1.22
 Evolution Exchange 2.22

I'd like to see EDS synced completely to 2.22.

Ross
-- 
Ross Burton mail: [EMAIL PROTECTED]
  jabber: [EMAIL PROTECTED]
 www: http://www.burtonini.com./
 PGP Fingerprint: 1A21 F5B0 D8D0 CFE3 81D4 E25A 2D09 E447 D0B4 33DF



signature.asc
Description: This is a digitally signed message part
___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Andre Klapper
Am Mittwoch, den 03.10.2007, 13:43 +0200 schrieb Jules Colding:
 Does it really matter? But, well, I doesn't care so please go ahead...

it does. it's annoying that i have to remember which version corresponds
to which gnome release for gtk+, glib, evofriends and other modules
(i'm happy that atk, at-spi  gail already switched to the gnome
versioning a few months back), both from a bugsquad and a release-team
point of view.

andre
-- 
 mailto:[EMAIL PROTECTED] | failed
 http://www.iomc.de/


signature.asc
Description: Dies ist ein digital signierter Nachrichtenteil
___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Jules Colding
On Wed, 2007-10-03 at 14:17 +0200, Andre Klapper wrote:
 Am Mittwoch, den 03.10.2007, 13:43 +0200 schrieb Jules Colding:
  Does it really matter? But, well, I doesn't care so please go ahead...
 
 it does. it's annoying that i have to remember which version corresponds
 to which gnome release for gtk+, glib, evofriends and other modules
 (i'm happy that atk, at-spi  gail already switched to the gnome
 versioning a few months back), both from a bugsquad and a release-team
 point of view.

OK, I can see that you guys that are joggling with dozens of packages
can benefit from this. I'm lucky as I simply doesn't care which evo
version goes with which Gnome - I just make sure that e-b builds towards
them all.

Best regards,
  jules



___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Matthew Barnes
On Wed, 2007-10-03 at 11:31 +, Srinivasa Ragavan wrote:
 There have been many requests regarding syncing the versions of
 Evolution (currently 2.12) and GNOME (2.20). I feel that it would be
 fine, if we just sync the minor versions. 
 
 Evolution 2.22 
 GtkHTML 3.22
 Evolution Data Server 1.22
 Evolution Exchange 2.22

+1

Since Evolution is an official GNOME component I think it makes a lot of
sense to keep the versions sync'ed with the mothership.

Matthew Barnes

___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Paul Smith
On Wed, 2007-10-03 at 14:17 +0200, Andre Klapper wrote:
 it does. it's annoying that i have to remember which version
 corresponds to which gnome release for gtk+, glib, evofriends and
 other modules (i'm happy that atk, at-spi  gail already switched to
 the gnome versioning a few months back), both from a bugsquad and a
 release-team point of view.

For what little it's worth, I agree the versions should be synced.  In
addition to the above, it's much simpler to deal with SVN branch naming
etc. when you only have one version number to worry about and it's the
same across all the components.

-- 
---
 Paul D. Smith [EMAIL PROTECTED]  Find some GNU make tips at:
 http://www.gnu.org  http://make.mad-scientist.us
 Please remain calm...I may be mad, but I am a professional. --Mad Scientist
___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Daniel Gryniewicz

On Wed, 2007-10-03 at 09:03 -0400, Matthew Barnes wrote:
 On Wed, 2007-10-03 at 11:31 +, Srinivasa Ragavan wrote:
  There have been many requests regarding syncing the versions of
  Evolution (currently 2.12) and GNOME (2.20). I feel that it would be
  fine, if we just sync the minor versions. 
  
  Evolution 2.22 
  GtkHTML 3.22
  Evolution Data Server 1.22
  Evolution Exchange 2.22
 
 +1
 
 Since Evolution is an official GNOME component I think it makes a lot of
 sense to keep the versions sync'ed with the mothership.
 

+1 here too, assuming my vote counts. :)  This will make it easier for
us disto maintainers.

Unfortunately, nothing can be done about gtkhtml, because it's major rev
is already past 2.

Daniel

___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Matthew Barnes
On Wed, 2007-10-03 at 12:53 +0100, Ross Burton wrote:
 On Wed, 2007-10-03 at 11:31 +, Srinivasa Ragavan wrote:
  There have been many requests regarding syncing the versions of
  Evolution (currently 2.12) and GNOME (2.20). I feel that it would be
  fine, if we just sync the minor versions. 
  
  Evolution 2.22 
  GtkHTML 3.22
  Evolution Data Server 1.22
  Evolution Exchange 2.22
 
 I'd like to see EDS synced completely to 2.22.

And while we're at it, can we please drop the meaningless -1.2 suffix
from the library names (e.g. libedataserver-1.2.so)?  As far as I can
tell this is just an artifact from an age before the EDS sonames were
properly versioned.

Applications that link to E-D-S would have to be recompiled obviously,
but as long as they're using pkgconfig correctly they should not require
any code changes (I think).

Now is the perfect time to drop it if we're ever going to.

Matthew Barnes

___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Matthew Barnes
On Wed, 2007-10-03 at 16:51 -0400, Matthew Barnes wrote:
 Applications that link to E-D-S would have to be recompiled obviously,
 but as long as they're using pkgconfig correctly they should not require
 any code changes (I think).

I knew this claim would come back to bite me. The pkgconfig meta-data
files in EDS have the -1.2 suffix in their names, so applications would
have to alter their configure.ac and pkgconfig files slightly.  But I
think the rest of my argument still stands.

Matthew Barnes

___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Srinivasa Ragavan
Matthew,

On Wed, 2007-10-03 at 16:51 -0400, Matthew Barnes wrote:
 On Wed, 2007-10-03 at 12:53 +0100, Ross Burton wrote:
  On Wed, 2007-10-03 at 11:31 +, Srinivasa Ragavan wrote:
   There have been many requests regarding syncing the versions of
   Evolution (currently 2.12) and GNOME (2.20). I feel that it would be
   fine, if we just sync the minor versions. 
   
   Evolution 2.22 
   GtkHTML 3.22
   Evolution Data Server 1.22
   Evolution Exchange 2.22
  
  I'd like to see EDS synced completely to 2.22.
 
 And while we're at it, can we please drop the meaningless -1.2 suffix
 from the library names (e.g. libedataserver-1.2.so)?  As far as I can
 tell this is just an artifact from an age before the EDS sonames were
 properly versioned.
 

Isn't that -1.2 is the API version? 

 Applications that link to E-D-S would have to be recompiled obviously,
 but as long as they're using pkgconfig correctly they should not require
 any code changes (I think).
 

I don't think those application would be happy to do this. There are a
few apps that use the .so directly without pkgconfig (iirc
OpenOffice.org). 

Unless there is a clear nod from the stake holders of those projects, I
wouldn't be favor of doing this. The old version of apps break with new
Evolution/EDS. Lot of those apps don't have a 6 month and takes a lot to
ship a update for the old version to cope up with new EDS.

-Srini.



___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers


Re: [Evolution-hackers] Synching Evolution/GNOME version

2007-10-03 Thread Srinivasa Ragavan
Ross,

Even I would have loved this if we can get all the friends to be 2.22.
Unfortunately GtkHTML can't be 2.22 as it is already 3.xx. I felt that
synchronizing the minor versions is fine. I'm not really against it, if
there aren't any major objections to this.

-Srini.

On Wed, 2007-10-03 at 12:53 +0100, Ross Burton wrote:
 On Wed, 2007-10-03 at 11:31 +, Srinivasa Ragavan wrote:
  There have been many requests regarding syncing the versions of
  Evolution (currently 2.12) and GNOME (2.20). I feel that it would be
  fine, if we just sync the minor versions. 
  
  Evolution 2.22 
  GtkHTML 3.22
  Evolution Data Server 1.22
  Evolution Exchange 2.22
 
 I'd like to see EDS synced completely to 2.22.
 
 Ross

___
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers